#
# Conditional build:
%bcond_without	python	# Python binding
#
Summary:	Trace Format Babel Tower
Summary(pl.UTF-8):	Wieża Babel formatów narzędzi śledzących
Name:		babeltrace
# keep 1.x here, babeltrace2 is separate project (see babeltrace2.spec)
Version:	1.5.11
Release:	1
License:	MIT
Group:		Applications/System
Source0:	https://www.efficios.com/files/babeltrace/%{name}-%{version}.tar.bz2
# Source0-md5:	ca6b23633a78d3dbcc2aec2cbdc99838
Patch0:		%{name}-python.patch
URL:		https://babeltrace.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	elfutils-devel >= 0.154
BuildRequires:	glib2-devel >= 1:2.22.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_python:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.507
Requires:	elfutils >= 0.154
Requires:	glib2 >= 1:2.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project provides trace read and write libraries, as well as a
trace converter. A plugin can be created for any trace format to allow
its conversion to/from another trace format.

%description -l pl.UTF-8
Ten projekt udostępnia biblioteki do odczytu i zapisu śladów, a także
konwerter śladów. Można tworzyć wtyczki dla dowolnego formatu śladów,
aby umożliwić konwersję do/z innego formatu.

%package devel
Summary:	Header files for Babeltrace libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Babeltrace
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	elfutils-devel >= 0.154
Requires:	glib2-devel >= 1:2.22.0
Requires:	libuuid-devel
Requires:	popt-devel

%description devel
Header files for Babeltrace libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Babeltrace.

%package static
Summary:	Static Babeltrace libraries
Summary(pl.UTF-8):	Statyczne biblioteki Babeltrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Babeltrace libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Babeltrace.

%package -n python3-babeltrace
Summary:	Python 3 binding to Babeltrace library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki Babeltrace
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-babeltrace < 1.5.3

%description -n python3-babeltrace
Python 3 binding to Babeltrace library.

%description -n python3-babeltrace -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki Babeltrace.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_python:--enable-python-bindings} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# lib*.la kept - no .pc files for individual libraries

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/babeltrace

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README std-ext-lib.txt
%attr(755,root,root) %{_bindir}/babeltrace
%attr(755,root,root) %{_bindir}/babeltrace-log
%attr(755,root,root) %{_libdir}/libbabeltrace.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace.so.1
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace-ctf.so.1
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf-metadata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace-ctf-metadata.so.1
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf-text.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace-ctf-text.so.1
%attr(755,root,root) %{_libdir}/libbabeltrace-dummy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace-dummy.so.1
%attr(755,root,root) %{_libdir}/libbabeltrace-lttng-live.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabeltrace-lttng-live.so.1
%{_mandir}/man1/babeltrace.1*
%{_mandir}/man1/babeltrace-log.1*

%files devel
%defattr(644,root,root,755)
%doc doc/{API,development}.txt
%attr(755,root,root) %{_libdir}/libbabeltrace.so
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf.so
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf-metadata.so
%attr(755,root,root) %{_libdir}/libbabeltrace-ctf-text.so
%attr(755,root,root) %{_libdir}/libbabeltrace-dummy.so
%attr(755,root,root) %{_libdir}/libbabeltrace-lttng-live.so
%{_libdir}/libbabeltrace.la
%{_libdir}/libbabeltrace-ctf.la
%{_libdir}/libbabeltrace-ctf-metadata.la
%{_libdir}/libbabeltrace-ctf-text.la
%{_libdir}/libbabeltrace-dummy.la
%{_libdir}/libbabeltrace-lttng-live.la
%{_includedir}/babeltrace
%{_pkgconfigdir}/babeltrace.pc
%{_pkgconfigdir}/babeltrace-ctf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbabeltrace.a
%{_libdir}/libbabeltrace-ctf.a
%{_libdir}/libbabeltrace-ctf-metadata.a
%{_libdir}/libbabeltrace-ctf-text.a
%{_libdir}/libbabeltrace-dummy.a
%{_libdir}/libbabeltrace-lttng-live.a

%if %{with python}
%files -n python3-babeltrace
%defattr(644,root,root,755)
%dir %{py3_sitedir}/babeltrace
%attr(755,root,root) %{py3_sitedir}/babeltrace/_babeltrace.cpython-*.so
%{py3_sitedir}/babeltrace/*.py
%{py3_sitedir}/babeltrace/__pycache__
%{py3_sitedir}/babeltrace-%{version}-py*.egg-info
%endif
%changelog
* Thu Mar 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/babeltrace.git;a=log;h=master

* Thu Mar 16 2023 Jakub Bogusz <qboosh@pld-linux.org> a7fb3a1
- updated to 1.5.11

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> feca2eb
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d8de68f
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 46ccc82
- release 2 (by relup.sh)

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 1350858
- note on babeltrace 2.0.0 actually being babeltrace2

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> f2b7eed
- dropped py_postclean after switching to python3

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> eacdc6b
- updated to 1.5.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0d751c9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> c58c1ac
- updated to 1.5.7

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 2dcf5d0
- release 2 (by relup.sh)

* Sat Jul 28 2018 Jakub Bogusz <qboosh@pld-linux.org> ecc6124
- updated to 1.5.6
- removed obsolete link patch
- added python patch (compile python3 module)
- python binding switched to python3 (upstream change)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4cf1996
- release 4 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 54199e1
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 27 2015 Jakub Bogusz <qboosh@pld-linux.org> c7ef0e9
- updated to 1.2.4

* Mon Oct 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 382b33c
- updated to 1.2.3

* Sat Aug 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 71fcc7c
- updated to 1.2.2

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> a869563
- updated to 1.2.1

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 14af0f7
- updated to 1.2.0 (note: new sonames)
- added link patch
- package python binding

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e41d93
- new

